"""
URL configuration for core project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

from .version import get_info

urlpatterns = [
    path('djangoadmin/', admin.site.urls),
    path('api/1/', include('inventory.api_v1')),
    path('api/1/', include('files.api_v1')),
    path('api/1/', include('files.media_v1')),
    path('api/2/', include('inventory.api_v2')),
    path('api/2/', include('files.api_v2')),
    path('media/2/', include('files.media_v2')),
    path('api/2/', include('tickets.api_v2')),
    path('api/2/', include('mail.api_v2')),
    path('api/2/', include('notify_sessions.api_v2')),
    path('api/2/', include('authentication.api_v2')),
    path('api/', get_info),
]
